body {
    background-color: #434343;
    color: white;
    overflow: hidden;
    margin: 0px;
    font-family: OpenSans;
    display: grid;
}
input:focus {
    outline: none;
}
input::placeholder {
    color: #ffffff8f;
}
#rollback {
    position: relative;
    display: grid;
    background-color: #0DA14A;
}
#rollclick svg {
    position: relative;
    top: 30px;
}
.searchInput input {
    color: white;
    font-size: 20px;
    padding-left: 25px;
    height: 75px;
    border-radius: 15px;
    border: none;
    background-color: #0B6F34;
    letter-spacing: 3px;
}
#btcanvas {
    margin-top: 50px;
    overflow-x: hidden;
    overflow-y: auto;
    /* height: calc(95vh - 220px); */
    display: grid;
}

.status-block {
    margin-top: 20px;
    padding: 10px;
    display: grid;
    text-align: center;
    font-size: 48px;
    letter-spacing: 5px;
    font-family: OpenSans;
}
#putDataStatus, #searchingStatus {
    font-size: 30px;
}
#companyProfile {
    width: 95vw;
    justify-self: center;
    /* box-shadow: 0 20px 20px #ffffff; */
    margin-bottom: 30px;
    padding-bottom: 70px;
}
#companyProfile h3 {
    justify-self: center;
    width: 95vw;
    font-size: 60%;
}
#companyProfile h6 {
    justify-self: center;
    width: 95vw;
    font-size: 40%;
}
#reLoader1 {
    margin-top: 50px;
    border-radius: 50%;
    border-top: 10px solid #0DA14A;
    border-right: 10px solid transparent;
    width: 200px;
    height: 200px;
    -webkit-animation: spin1 2s linear infinite;
    animation: spin1 2s linear infinite;
    justify-self: center;
}
@-webkit-keyframes spin1 {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}
@keyframes spin1 {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

h4 {
    text-align: center;
}
#titleTable td {
    font-size: 20px;
}
td[name=A], td[name="A+"], td[name="A++"], td[name="A+++"] {
    color: #2ebe0a;
} 
td[name=B] {
    color: #0c8f43;
} 
td[name=C] {
    color: #bebe0a;
} 
td[name=D] {
    color: #ff9147;
} 
td[name=E] {
    color: #ff5100;
} 
td[name=F] {
    color: #c20101;
} 

#chartcanvas {
    justify-self: center;
    display: grid;
    justify-content: center;
}


@media screen and (max-width: 1900px) {
}
@media screen and (min-width: 1900px) {
}


@media screen and (max-width: 1050px) {
    button[name=clickshow] {   
        top: 0px;
    }
    button[name=clickhide] {
        top: -50px;
    }
    div[name=rollshow] {
        height: 92%;
    }
    div[name=rollhide] {
        height: 0px;
    }
    div[name=shown] {
        display: grid;
    }
    div[name=hidden] {
        display: none;
    }
    div[name=canvasshow] {
        height: calc(95vh - 520px);
    }
    div[name=canvashide] {
        height: 92vh;
    }

    #searcherWrapper {
        margin-top: 20px;
        width: 100vw;
        align-items: center;
        justify-content: space-evenly;
    }
    #rollClick {
        max-width: 90vw;
        position: relative;
        justify-self: center;
        height: 100px;
        width: 300px;
        border-radius: 50px;
        border: none;
        background-color: #0DA14A;
        cursor: pointer;
    }
    .searchInput svg {
        display: none;
    }
    .searchInput input {
        justify-self: center;
        width: 90vw;
    }
    .searchInput {
        padding: 10px;
        /* position: relative; */
        /* top: 50px; */
        display: grid;
        height: 75px;
        width: 90vw;
        justify-self: center;
    }
    #searchBtn {
        margin-top: 20px;
        border-radius: 15px;
        text-align: center;
        border: none;
        background-color: #434343;
        letter-spacing: 5px;
        font-size: 35px;
        font-weight: bold;
        color: white;
        cursor: pointer;
        justify-self: center;
        width: 90vw;
        padding-top: 18px;
    }    
    #titleTable {
        display: grid;
    }
    #titleTable, tbody {
        /* width: 1000px; */
        display: grid;
        justify-content: center;
        align-items: center;
        justify-self: center;
    }
    #titleTable, tr {
        width: 95vw;
    }
    #titleTable td:first-child {
        text-align: right;
        width: 60vw;
    }
    #titleTable td:last-child {
        width: 35vw;
        text-align: left;
        font-weight: bold;
        text-shadow: 0px 0px 20px black;
        padding-left: 30px;
    }









    .indic-chart, .corr-chart {
        width: 95vw;
        /* height: 350px; */
    }
    .row-chart, .row-element {
        display: grid;
        justify-content: center;
        width: 95vw;
        /* justify-content: space-between; */
    }
    #companyProfile {
        width: 100vw;
        justify-self: center;
        /* box-shadow: 0 20px 20px #ffffff; */
        margin-bottom: 30px;
        padding-bottom: 70px;
    }
    .indic-table {
        font-family: OpenSans;
        display: grid;
        font-size: 20px;
        width: 95vw;
    }
    .indic-table tr {
        width: 95vw;
    }
    .indic-table td {
        /* padding: 10px; */
        padding-left: 20px;
        width: 60vw;
    }
    .td-number {
        text-align: right;
        width: 35vw;
    }
}
@media screen and (min-width: 1050px) {
    #btcanvas::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
        border-radius: 10px;
        background-color: #F5F5F5;
    }
    #btcanvas::-webkit-scrollbar {
        width: 12px;
        background-color: #F5F5F5;
    }
    #btcanvas::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: #0B6F34;
    }

    button[name=clickshow] {   
        top: 150px;
    }
    button[name=clickhide] {
        top: -50px;
    }
    div[name=rollshow] {
        height: 200px;
    }
    div[name=rollhide] {
        height: 0px;
    }
    div[name=shown] {
        display: flex;
    }
    div[name=hidden] {
        display: none;
    }
    div[name=canvasshow] {
        height: calc(95vh - 220px);
    }
    div[name=canvashide] {
        height: 92vh;
    }
    #rollclick {
        position: relative;
        justify-self: center;
        height: 100px;
        width: 300px;
        border-radius: 50px;
        border: none;
        background-color: #0DA14A;
        cursor: pointer;
    }
    .searchInput input {
        justify-self: center;
        width: 22vw;
        min-width: 250px;
    }
    #searcherWrapper {
        position: absolute;
        width: 95vw;
        justify-self: center;
        align-items: center;
        justify-content: space-evenly;
    }
    .searchInput svg {
        display: block;
        position: absolute;
        left: 315px;
        height: 50px;
        padding-right: 17px;
        top: 12.5px;
        background-color: #0B6F34;
    }
    .searchInput {
        width: 375px;
    }
    .searchInput {
        position: relative;
        top: 50px;
        height: 75px;
        max-width: 385px;
    }
    #searchBtn {
        border-radius: 15px;
        text-align: center;
        border: none;
        background-color: #434343;
        letter-spacing: 5px;
        font-size: 35px;
        font-weight: bold;
        color: white;
        cursor: pointer;
    }
    #searchBtn {
        border-radius: 15px;
        text-align: center;
        border: none;
        background-color: #434343;
        letter-spacing: 5px;
        font-size: 35px;
        font-weight: bold;
        color: white;
        cursor: pointer;
        justify-self: center;
        width: 22vw;
        height: 70px;
        min-width: 250px;
    }
    #titleTable, tbody {
        /* width: 1000px; */
        display: grid;
        justify-content: center;
        align-items: center;
        justify-self: center;
    }
    #titleTable, tr {
        width: 1000px;
    }
    #titleTable td:first-child {
        text-align: right;
        width: 700px;
    }
    #titleTable td:last-child {
        width: 300px;
        text-align: left;
        font-weight: bold;
        text-shadow: 0px 0px 20px black;
        padding-left: 30px;
    }














    .indic-chart, .corr-chart {
        width: 30vw;
        /* height: 350px; */
    }
    .row-chart {
        display: flex;
        width: 95vw;
        /* justify-content: space-between; */
    }
    .row-element {
        display: flex;
        width: 61vw;
    }
    .indic-table {
        font-family: OpenSans;
        margin-left: 70px;
        display: grid;
        font-size: 20px;
        width: 33vw;
    }
    .indic-table tr {
        width: 30vw;
    }
    .indic-table td {
        /* padding: 10px; */
        padding-left: 20px;
        width: 20vw;
    }
    .td-number {
        text-align: right;
        width: 13vw;
    }
}